> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get manual journal entry

> Get a manual journal entry for the given id



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs get /v6/accounting/manualJournalEntries/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/accounting/manualJournalEntries/{id}:
    get:
      tags:
        - Manual Journal Entries
      summary: Get manual journal entry
      description: Get a manual journal entry for the given id
      operationId: getManualJournalEntry
      parameters:
        - name: id
          in: path
          description: The id of the manual journal entry
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseManualJournalEntryGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    SuccessResponseManualJournalEntryGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/ManualJournalEntryGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ManualJournalEntryGetDto:
      required:
        - amount
        - apiName
        - apiSourceId
        - attachments
        - bankAccount
        - children
        - date
        - description
        - dimensionValues
        - id
        - recurrence
        - status
      type: object
      properties:
        id:
          type: string
          description: Id of the manual journal entry
          example: mje_12345
        status:
          type: string
          description: Status of the manual journal entry
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        date:
          type: string
          description: Date of the manual journal entry
          format: date
          example: '2026-01-15'
        description:
          type: string
          description: Description of the manual journal entry
          nullable: true
          example: Monthly accrual adjustment
        amount:
          type: integer
          description: Total amount of the manual journal entry (in cents)
          format: int32
          example: 50000
        recurrence:
          $ref: '#/components/schemas/InvoiceRecurrenceGetDto'
        apiName:
          type: string
          description: Name of the API from which this journal entry originated
          nullable: true
          example: MANUAL_ENTRY
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        apiSourceId:
          type: string
          description: Id of the journal entry on the associated API
          nullable: true
          example: ext_abc123
        bankAccount:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ExpandedDataDefault'
        dimensionValues:
          maxItems: 4
          type: array
          items:
            $ref: '#/components/schemas/DimensionValueExpanded'
        children:
          type: array
          items:
            $ref: '#/components/schemas/JournalEntryChildGetDto'
        attachments:
          maxItems: 3
          type: array
          items:
            $ref: '#/components/schemas/ManualJournalEntryAttachmentExpanded'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    InvoiceRecurrenceGetDto:
      required:
        - endDate
        - frequency
        - interval
      type: object
      properties:
        frequency:
          type: string
          description: Frequency of the recurrence
          nullable: true
          example: MONTHLY
          enum:
            - ONE_TIME
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        interval:
          type: integer
          description: Number of steps between occurrences
          format: int32
          nullable: true
          example: 1
        endDate:
          type: string
          description: Date the recurrence ends
          format: date
          nullable: true
          example: '2025-12-31'
      description: Recurrence settings for the invoice
      nullable: true
    ExpandedDataDefault:
      type: object
      properties:
        id:
          type: string
      description: Bank account, only applicable for beginning balance entries
      nullable: true
    DimensionValueExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension value
          example: dv_593051
        dimension:
          $ref: '#/components/schemas/DimensionExpanded'
        name:
          type: string
          description: Name of the dimension value
          example: Mid-Atlantic
        child:
          $ref: '#/components/schemas/ChildDimensionValue'
      description: List of dimension values associated with this time entry
    JournalEntryChildGetDto:
      required:
        - amount
        - crAmount
        - drAmount
        - glAccount
      type: object
      properties:
        glAccount:
          $ref: '#/components/schemas/GlAccountExpanded'
        amount:
          type: integer
          description: Total amount of the journal entry line (in cents)
          format: int32
          example: 5000
        crAmount:
          type: integer
          description: Credit amount of the journal entry line (in cents)
          format: int32
          example: 5000
        drAmount:
          type: integer
          description: Debit amount of the journal entry line (in cents)
          format: int32
          example: 0
      description: Debit/credit transactions for this journal entry
    ManualJournalEntryAttachmentExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the attachment
          example: att_894321
        url:
          type: string
          description: URL at which the attachment is located
          example: https://files.example.com/attachment/receipt.pdf
        fileName:
          type: string
          description: File name of attachment
          example: receipt.pdf
        fileSize:
          type: string
          description: File size of attachment
          example: 24 KB
        createdDateTime:
          type: string
          description: Date that attachment was uploaded
          format: date-time
        iconUrl:
          type: string
          description: Icon URL based on file extension
          example: https://cdn.sandbox.tight.com/icons/attachments/pdf.svg
      description: List of attachments associated with this manual journal entry
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    DimensionExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension
          example: dim_4521
        name:
          type: string
          description: Name of the dimension
          example: Region
        requiredness:
          type: string
          description: Requiredness of the dimension
          example: NOT_REQUIRED
          enum:
            - REQUIRED
            - NOT_REQUIRED
      description: Dimension for this dimension value
    ChildDimensionValue:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension value
          example: dv_593052
        dimension:
          $ref: '#/components/schemas/DimensionExpanded'
        name:
          type: string
          description: Name of the dimension value
          example: Washington DC
        child:
          $ref: '#/components/schemas/ChildDimensionValue'
      description: Child dimension value, if applicable
    GlAccountExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the GL account
          example: gla_38560327
        name:
          type: string
          description: Name of the GL account
          example: Officer(s) Salaries and Wages
        accountNo:
          type: string
          description: Number of the GL account
          example: '60210'
        type:
          type: string
          description: Type the GL account
          example: EXPENSE
          enum:
            - ASSET
            - LIABILITY
            - EQUITY
            - INCOME
            - COGS
            - EXPENSE
            - OTHER_INCOME
            - OTHER_EXPENSE
            - SUSPENSE
        iconUrl:
          type: string
          description: Icon URL of the GL account
          example: https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png
        displayName:
          type: string
          description: Display name of the GL account
          example: '#60210 Officer(s) Salaries and Wages'
      description: GL account details
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````